# How to customize bulk actions 🚀

Starting from version 1.20.5, the `configuration-wui.json.sample` file has 3 new properties relevant to bulk actions:

* `"hideBulk"`
* `"hideBulkDelete"`
* `"hideBulkDownload"`

By default, the 3 properties are set to false and **bulk features are active**.

If you need to disable any option, open the `configuration-wui.json.sample` file, copy the `"hideBulk"`, `"hideBulkDelete"`and `"hideBulkDownload"`properties to your `configuration-wui.json` modifying them as follows:

* To **disable the Bulk action** feature, set the `hideBulk` value to `true` or remove it..
* To **disable the Bulk action** feature, set the `hideBulk` value to `true` or remove it.
* To **enable the feature without Download**, the `hideBulk` value must be set to `false` and the `hideBulkDownload` value to `true`.
* To **enable the feature without Delete**, the `hideBulk` value must be set to `false` and the `hideBulkDelete` value to `true`.

Please note that other combinations may not work, so follow only the instructions above.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.primeur.com/data-mover-1.21/file-manager/customize-file-manager-externals/how-to-customize-bulk-actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
